<?php

use Illuminate\Support\Facades\Route;
use Modules\Basket\Http\Controllers\BasketController;

Route::middleware('api')->prefix('api')->group(function () {
    Route::get('/basket', [BasketController::class, 'index']);
    Route::post('/basket', [BasketController::class, 'store']);
    Route::put('/basket/{id}', [BasketController::class, 'update']);
    Route::delete('/basket/{id}', [BasketController::class, 'destroy']);
    Route::delete('/basket', [BasketController::class, 'clear']);
});
